from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToRestSensorType Converter")

class GenericToRestSensorType(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if (myList[0] == "None") or (myList[0] == "Mark"):
			res = "MARKI"
		elif myList[0] == "Gap":
			res = "MARKII"
		return res




plugin = GenericToRestSensorType("GenericToRestSensorType")

store.AddConverter(plugin)